<?php
/**
 * Custom theme functions.
 *
 * This file contains hook functions attached to theme hooks.
 *
 * @package cultural_festival
 */

if ( ! function_exists( 'cultural_festival_skip_to_content' ) ) :
	/**
	 * Add Skip to content.
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_skip_to_content() {
	?><a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'cultural-festival' ); ?></a><?php
	}
endif;

add_action( 'cultural_festival_action_before', 'cultural_festival_skip_to_content', 15 );

// Middle Header

if ( ! function_exists( 'cultural_festival_site_branding' ) ) :

	/**
	 * Site branding.
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_site_branding() {
		$cultural_festival_quote_button_link = cultural_festival_get_option( 'cultural_festival_quote_button_link' );
		$cultural_festival_quote_button_text = cultural_festival_get_option( 'cultural_festival_quote_button_text' );
		$cultural_festival_data_sticky = cultural_festival_get_option( 'cultural_festival_show_data_sticky_setting' );
		?>

	<header class="main-header py-3" id="middle-header" data-sticky= "<?php echo esc_attr($cultural_festival_data_sticky); ?>">
		<div class="container">
			<div id="top-header">
				<div class="row">
					<div class="col-xl-2 col-lg-3 col-md-4 col-sm-12 col-12 align-self-center text-start">
						<div class="site-branding mb-3 mb-lg-0">
							<?php cultural_festival_the_custom_logo(); ?>
							<?php $cultural_festival_show_title = cultural_festival_get_option( 'cultural_festival_show_title' ); ?>
							<?php $cultural_festival_show_tagline = cultural_festival_get_option( 'cultural_festival_show_tagline' ); ?>
							<?php if ( true === $cultural_festival_show_title || true === $cultural_festival_show_tagline ) :  ?>
								<div id="site-identity" class="text-center text-md-start">
									<?php if ( true === $cultural_festival_show_title ) :  ?>
										<?php if ( is_front_page() ) : ?>
											<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php endif; ?>
									<?php endif; ?>
									<?php if ( true === $cultural_festival_show_tagline ) :  ?>
										<p class="site-description"><?php bloginfo( 'description' ); ?></p>
									<?php endif; ?>
								</div>
							<?php endif; ?>
						</div>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-4 col-sm-6 col-4 align-self-center">
						<div class="toggle-menu gb_menu text-md-center my-2 text-start">
							<button onclick="cultural_festival_gb_Menu_open()" class="gb_toggle"><span class="dashicons dashicons-menu-alt"></span></button>
						</div>
						<div id="gb_responsive" class="nav side_gb_nav">
							<nav id="top_gb_menu" class="gb_nav_menu" role="navigation" aria-label="<?php esc_attr_e( 'Menu', 'cultural-festival' ); ?>">
								<?php
									wp_nav_menu( array( 
										'theme_location' => 'primary-menu',
										'container_class' => 'gb_navigation clearfix' ,
										'menu_class' => 'gb_navigation clearfix',
										'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav m-0 px-0">%3$s</ul>',
										'fallback_cb' => 'wp_page_menu',
									) );
								?>
								<a href="javascript:void(0)" class="closebtn gb_menu" onclick="cultural_festival_gb_Menu_close()">x<span class="screen-reader-text"><?php esc_html_e('Close Menu','cultural-festival'); ?></span></a>
							</nav>
						</div>
					</div>
					<div class="col-xl-3 col-lg-3 col-md-4 col-sm-6 col-8 align-self-center text-end ">
						<?php if( !empty($cultural_festival_quote_button_link) || !empty($cultural_festival_quote_button_text)):?>
							<div class="subscribe-btn my-2">
								<a href="<?php echo esc_url($cultural_festival_quote_button_link);?>"><?php echo esc_html($cultural_festival_quote_button_text);?></a>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</header>

	<?php

	}

endif;

add_action( 'cultural_festival_action_header', 'cultural_festival_site_branding' );


/////////////////////////////////// copyright start /////////////////////////////

if ( ! function_exists( 'cultural_festival_footer_copyright' ) ) :

	/**
	 * Footer copyright
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_footer_copyright() {

		// Check if footer is disabled.
		$cultural_festival_footer_status = apply_filters( 'cultural_festival_filter_footer_status', true );
		if ( true !== $cultural_festival_footer_status ) {
			return;
		}

		// Copyright content.
		$cultural_festival_copyright_text = cultural_festival_get_option( 'cultural_festival_copyright_text' );
		$cultural_festival_copyright_text = apply_filters( 'cultural_festival_filter_copyright_text', $cultural_festival_copyright_text );
		if ( ! empty( $cultural_festival_copyright_text ) ) {
			$cultural_festival_copyright_text = wp_kses_data( $cultural_festival_copyright_text );
		}

		// Powered by content.
		$cultural_festival_powered_by_text = sprintf( __( 'Cultural Festival by %s', 'cultural-festival' ), '<span>' . __( 'Mizan Themes', 'cultural-festival' ) . '</span>' );
		?>

		<div class="colophon-inner">
		    <?php if ( ! empty( $cultural_festival_copyright_text ) ) : ?>
			    <div class="colophon-column">
			    	<div class="copyright">
						<a href="<?php echo esc_url('https://www.mizanthemes.com/products/free-cultural-festival-wordpress-theme','cultural-festival'); ?>"><?php echo $cultural_festival_copyright_text; ?></a>
			    	</div><!-- .copyright -->
			    </div><!-- .colophon-column -->
		    <?php endif; ?>

		    <?php if ( ! empty( $cultural_festival_powered_by_text ) ) : ?>
			    <div class="colophon-column">
			    	<div class="site-info">
						<?php echo $cultural_festival_powered_by_text; ?>
			    	</div><!-- .site-info -->
			    </div><!-- .colophon-column -->
		    <?php endif; ?>
		</div><!-- .colophon-inner -->
		
	    <?php
	}

endif;

add_action( 'cultural_festival_action_footer', 'cultural_festival_footer_copyright', 10 );

// /////////////////////////////////sidebar//////////////////

if ( ! function_exists( 'cultural_festival_add_sidebar' ) ) :

	/**
	 * Add sidebar.
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_add_sidebar() {

		global $post;

		$cultural_festival_global_layout = cultural_festival_get_option( 'cultural_festival_global_layout' );
		$cultural_festival_global_layout = apply_filters( 'cultural_festival_filter_theme_global_layout', $cultural_festival_global_layout );

		// Check if single.
		if ( $post && is_singular() ) {
			$cultural_festival_post_options = get_post_meta( $post->ID, 'cultural_festival_theme_settings', true );
			if ( isset( $cultural_festival_post_options['post_layout'] ) && ! empty( $cultural_festival_post_options['cultural_festival_post_layout'] ) ) {
				$cultural_festival_global_layout = $cultural_festival_post_options['cultural_festival_post_layout'];
			}
		}

		// Include primary sidebar.
		if ( 'no-sidebar' !== $cultural_festival_global_layout ) {
			get_sidebar();
		}
		// Include Secondary sidebar.
		switch ( $cultural_festival_global_layout ) {
			case 'three-columns':
			get_sidebar( 'secondary' );
			break;

			default:
			break;
		}

		// Include Secondary sidebar 1.
		switch ( $cultural_festival_global_layout ) {
			case 'four-columns':
			get_sidebar( 'secondary' );
			break;

			default:
			break;
		}

	}

endif;

add_action( 'cultural_festival_action_sidebar', 'cultural_festival_add_sidebar' );

//////////////////////////////////////// single page


if ( ! function_exists( 'cultural_festival_add_image_in_single_display' ) ) :

	/**
	 * Add image in single post.
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_add_image_in_single_display() {

		global $post;

		if ( has_post_thumbnail() ) {

			$values = get_post_meta( $post->ID, 'cultural_festival_theme_settings', true );
			$cultural_festival_theme_settings_single_image = isset( $values['cultural_festival_single_image'] ) ? esc_attr( $values['cultural_festival_single_image'] ) : '';

			if ( ! $cultural_festival_theme_settings_single_image ) {
				$cultural_festival_theme_settings_single_image = cultural_festival_get_option( 'cultural_festival_single_image' );
			}

			if ( 'disable' !== $cultural_festival_theme_settings_single_image ) {
				$args = array(
					'class' => 'aligncenter',
				);
				the_post_thumbnail( esc_attr( $cultural_festival_theme_settings_single_image ), $args );
			}
		}

	}

endif;

add_action( 'cultural_festival_single_image', 'cultural_festival_add_image_in_single_display' );

if ( ! function_exists( 'cultural_festival_footer_goto_top' ) ) :

	/**
	 * Go to top.
	 *
	 * @since 1.0.0
	 */
	function cultural_festival_footer_goto_top() {
        
        $cultural_festival_show_scroll_to_top = cultural_festival_get_option( 'cultural_festival_show_scroll_to_top' );
        if ( true === $cultural_festival_show_scroll_to_top ) :
		echo '<a id="scrollToTopBtn" href="#page">
				<svg id="progressCircle" width="50" height="50" aria-hidden="true">
					<circle cx="25" cy="25" r="22" stroke-width="4" fill="none"/>
				</svg>
				<i class="fa-solid fa-arrow-up"></i>
				</a>';
		endif;

	}

endif;

add_action( 'cultural_festival_action_after', 'cultural_festival_footer_goto_top', 20 );